> For the complete documentation index, see [llms.txt](https://docs.appstrategy.com/apprules-r-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appstrategy.com/apprules-r-documentation/platform/self-hosting/software-installation/webapi.md).

# Web API Settings

The Web API service is an HTTP endpoint that lets you trigger the execution of a project remotely.

**Installation**

The `appRules.WebApiService` service is installed automatically by `appRulesSetup.exe`. If it wasn't created, you can install it manually by running `install_webapi_service.cmd` as administrator, located in `appRulesPortal\Startup\Services Installation`.

**Configuration**

The HTTP address and port are set in `appRules.WebApiService.appsettings.json`, found in `[Install_path]\appRulesPortal\bin`.

You can also define an **ApiKey** in the same file. When one is set, the service will only run a project if the caller supplies the matching key (Mandatory if the Web Api address is public).

**Run in background mode**

For workflows using *Run in background*, the list of available Web API servers is declared in **Admin Center → Deployment Settings → Web API server definitions**.

For details on calling the service, see [Using Web Api](/apprules-r-documentation/platform/platform-features/creating-and-running-projects/running-projects/web-api.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.appstrategy.com/apprules-r-documentation/platform/self-hosting/software-installation/webapi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
